Subject: Re: [linux-fbdev] Re: readl() and friends and eieio on PPC

From: Paul Mackerras <[email-masked]>
Date: Thu, 12 Aug 1999 10:17:34 +1000

Richard Henderson <[email-masked]> wrote:

> Definitely.  Alpha's wmb and mb are very similar to ppc's sync and eieio.

Sync and eieio are different in that for sync, the cpu actually stops
and waits for all memory accesses to complete, whereas for eieio the
cpu doesn't have to stop and wait for anything.  Do alpha's mb and wmb
work the same way?

My position is that if you can provide the ordering at essentially
zero cost, then it is an advantage to have it since more drivers will
work that way.

Paul.

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]